package com.srs.dormitory.service;

import com.srs.common.core.domain.AjaxResult;
import com.srs.dormitory.domain.DmsMajorDormitory;
import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.dormitory.domain.Dto.AddMajorDto;
import com.srs.dormitory.domain.Dto.EmptyDormitoryDto;
import com.srs.dormitory.domain.Vo.UnassignedVo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 专业宿舍中间关联表 服务类
 * </p>
 *
 * @author 猪油骨
 * @since 2023-08-01
 */
public interface IDmsMajorDormitoryService extends IService<DmsMajorDormitory> {
    AjaxResult addMajor(AddMajorDto dto);

    List<UnassignedVo> unassigned(Long deptId, Long buildingId, Long gradeId);

    List<Map<String,Object>> getUnit(Long buildingId);

    List<Map<String,Object>> getFloor(Long buildingId);

    List<Map<String,Object>> getDormitory(EmptyDormitoryDto dto);
}
